Subject: Re: bug#7053: Reftex is fully broken

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Sep 2010 13:52:50 +0200

> From: Alpár Jüttner <[email-masked]>
> Date: Fri, 17 Sep 2010 11:41:27 +0200
> Cc: 
> 
> The reftex package seems completely broken in the dev. version.
> Basically any reftex operation (e.g. table of contents, C-c =) freeze
> the full emacs. It starts using 100% but doesn't react to any keystroke,
> (including C-g), the menubar is frozen as well. The frame (X11 window)
> is refreshed, but I cannot close it by clicking on the "close window".
> 
> It freezes even without using any explicit command: If I try to type
> \ref{label:valami} into a buffer, then it will freeze at the next
> character I press.

Can you run Emacs under GDB, and when it freezes, interrupt it and see
where it is stuck?  See the advice in etc/DEBUG for how to do that
(look for "If Emacs hangs" and "If the symptom of the bug is that
Emacs fails to respond").